$ErrorActionPreference = 'Stop';

$packageName= 'invantive-data-hub'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.31.20-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Data%20Hub-17.31.20-BETA.msi'
  softwareName = 'Invantive Data Hub'
  checksum = 'D2CEE9CD54504A8643B1CDA6B6C9CBE296C77C14D46F2B978D1777549BDDC235'
  checksumType = 'sha256'
  checksum64 = 'D2CEE9CD54504A8643B1CDA6B6C9CBE296C77C14D46F2B978D1777549BDDC235'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-data-hub-17.31.20-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
